Zoom Video Conferencing

Connect to a meeting in progress
Start a meeting
Configure your account

Zoom Client Update Required

Beginning October 13, 2021, you may be prompted to update your Zoom client software if you are running version older than version 5.7.8. This is in response to Zoom's policy to only support client software less than 9 months old, which takes effect on November 1, 2021.

For information on how to manually update your Zoom client software, visit https://support.zoom.us/hc/en-us/articles/201362233-Upgrading-Zoom-to-the-latest-version.

For more information please visit the ISD eHelp website and click the link for Zoom Conferencing, or contact the ISD Helpdesk by calling 617-355-4357 or emailing help.desk@childrens.harvard.edu